angular.module('app.routes', [])

.config(function($ionicConfigProvider, $stateProvider, $urlRouterProvider) {
  $ionicConfigProvider.backButton.text('');
  $ionicConfigProvider.backButton.previousTitleText(false);
    
  //$ionicConfigProvider.views.transition('none');

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider
  .state('yoNunca', {
    url: '/inicio',
    templateUrl: 'templates/yoNunca.html',
    controller: 'yoNuncaCtrl'
  })

  .state('jugar', {
    url: '/jugar',
    params: {
        categoria: 'aleatorio'
    },
    templateUrl: 'templates/jugar.html',
    controller: 'jugarCtrl'
  })
  
  .state('categorias', {
    url: '/categorias',
    templateUrl: 'templates/categorias.html',
    controller: 'categoriasCtrl'
  })

  .state('cMoSeJuega', {
    url: '/como-jugar',
    templateUrl: 'templates/cMoSeJuega.html',
    controller: 'cMoSeJuegaCtrl'
  })

  .state('envAnosTusPreguntas', {
    url: '/enviar',
    templateUrl: 'templates/envAnosTusPreguntas.html',
    controller: 'envAnosTusPreguntasCtrl'
  })

  .state('acerca', {
    url: '/acerca',
    templateUrl: 'templates/acerca.html',
    controller: 'acercaCtrl'
  })

$urlRouterProvider.otherwise('/inicio')

});